<?php
session_start();
include "../classes/db.class.php";


  if(!isset($_POST['email']) || !isset($_POST['senha'])) {
    echo 'erro';
    exit;
    }

    $email = $_POST['email'];
    $senha = $_POST['senha'];
    $senha = sha1($senha);

    $con=DB::conecta();
    $sql = "SELECT * FROM vendedores WHERE EMAIL = '$email' AND SENHA = '$senha'";
    $stmt = $con->prepare($sql);
   
    $stmt->execute();
    $usuario = $stmt->fetchAll(PDO::FETCH_ASSOC);
    //$con = null; // Close the connection

    if (count($usuario) > 0) {
        $_SESSION['uid'] = $usuario[0]['idvendedor'];
        $_SESSION['un'] = $usuario[0]['NOME'];
        $_SESSION['ue'] = $usuario[0]['EMAIL'];
        $_SESSION['uids'] = $usuario[0]['CODIGO'];
       // $_SESSION['logado'] = true;
        echo 'ok';
    } else {
        echo 'invalido';
    }

?>
